org.apache.tools.ant.taskdefs.optional.ssh

## Interface LogListener

- All Known Implementing Classes:
    Scp, SSHBase, SSHExec, SSHSession

      public interface LogListener

  Interface for ssh log listeners to implement.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `log(java.lang.String message)` Method for the loglistener to implement to receive log messages.

- - ### Method Detail

    - #### log

          void log(java.lang.String message)

      Method for the loglistener to implement to receive log messages.
      Parameters:
        `message` - the message to log